> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscriptions

> List all subscription information for a resource. Note: This is sorted by lastSubscriptionChangeAt in descending order



## OpenAPI

````yaml GET /api/subscriptions
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/subscriptions:
    get:
      tags:
        - Subscriptions
      summary: List Subscriptions
      description: >-
        List all subscription information for a resource. Note: This is sorted
        by lastSubscriptionChangeAt in descending order
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The cursor to start the pagination
          required: false
          description: The cursor to start the pagination
          name: cursor
          in: query
        - schema:
            type: number
            nullable: true
            description: The number of items per page
          required: false
          description: The number of items per page
          name: limit
          in: query
        - schema:
            type: string
            description: Since timestamp to filter lastSubscriptionChangeAt
          required: false
          description: Since timestamp to filter lastSubscriptionChangeAt
          name: since
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            externalId:
                              type: string
                              description: The external id of the user
                            emailOptOut:
                              type: boolean
                              nullable: true
                              description: Whether the user has opted out of email
                            phoneOptOut:
                              type: boolean
                              nullable: true
                              description: Whether the user has opted out of phone
                            emailSubscriptionChangeSource:
                              type: string
                              nullable: true
                              description: The source of the email subscription change
                            smsSubscriptionChangeSource:
                              type: string
                              nullable: true
                              description: The source of the sms subscription change
                            emailSubscriptionChangeAt:
                              type: string
                              nullable: true
                              description: >-
                                The date and time of the email subscription
                                change
                            smsSubscriptionChangeAt:
                              type: string
                              nullable: true
                              description: The date and time of the sms subscription change
                            lastSubscriptionChangeAt:
                              type: string
                              nullable: true
                              description: >-
                                The date and time of the last subscription
                                change
                          required:
                            - externalId
                      pagination:
                        type: object
                        properties:
                          hasNextPage:
                            type: boolean
                          cursor:
                            type: string
                            nullable: true
                          total:
                            type: number
                        required:
                          - hasNextPage
                    required:
                      - results
                      - pagination
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````